| Classes - Annotated - Tree - Functions - Home - Structure

# QTextOStream Class Reference

A convenience class for output streams. More...

`#include <qtextstream.h>`

Inherits QTextStream.

List of all member functions.

## Public Members

- QTextOStream ( QString * s )
- QTextOStream ( QByteArray ba )
- QTextOStream ( FILE * f )

## Detailed Description

A convenience class for output streams.

For simple tasks, code should be simple. Hence this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This makes it easy for example, to write things like this:

        QString result;
        QTextOStream(&result) << "pi = " << 3.14;

## Member Function Documentation

### QTextOStream::QTextOStream ( QByteArray ba )

Constructs a stream to write to the array ba.

### QTextOStream::QTextOStream ( QString * s )

Constructs a stream to write to string s.

### QTextOStream::QTextOStream ( FILE * f )

Constructs a stream to write to the file f.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.